From 8f8d78dded8728cc0d74318a5d126b639cbf5576 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 25 2020 05:16:25 +0000
Subject: [PATCH 1514/2232] Implement is_unsized for Array based on element sizedness


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 630288a..eaa10e9 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -427,6 +427,7 @@ fn is_unsized(cx: &mut Check, ty: &Type) -> bool {
             let ident = &ident.rust;
             ident == CxxString || is_opaque_cxx(cx, ident) || cx.types.rust.contains(ident)
         }
+        Type::Array(array) => is_unsized(cx, &array.inner),
         Type::CxxVector(_) | Type::Slice(_) | Type::Void(_) => true,
         Type::RustBox(_)
         | Type::RustVec(_)

